%define daemon_user monitor
%if 0%{?suse_version}
%define htmlroot /srv/www/htdocs
%define httpconfdir apache2/conf.d
%define daemon_group www
%define web_user wwwrun
%else
%define htmlroot /var/www/html
%define httpconfdir httpd/conf.d
%define daemon_group apache
%define web_user apache
%endif

Name: monitor-wizard
Version: %{op5version}
Release: %{op5release}%{?dist}
License: op5 Software License
Vendor: op5 AB
BuildRoot: %{_tmppath}/%{name}-%{version}
Summary: op5 monitor wizard
Group: op5/monitor
Prefix: /opt/monitor/op5/ninja/modules
Requires: monitor-ninja
Requires: monitor-http-api
Requires: op5-bootstrap
Requires: op5-bootstrap-application-wizard >= 0.0.1

Source: %name-%version.tar.gz
%description
Wizard used to add monitoring objects to op5 monitor

%package test
Summary: Test files for wizard
Group: op5/monitor
%if 0%{?suse_version}
Requires: php53-curl
%endif
Requires: monitor-wizard = %version
Requires: portal
Requires: rubygem20-op5cucumber
# our tests won't run without this particular supported-database
Requires: op5-mysql

%description test
Additional test files for wizard

%prep
%setup -q

%pre


%install
mkdir -p %buildroot%prefix
cp -r wizard %buildroot%prefix
cp -a test %buildroot%prefix/test
cp -a features %buildroot%prefix/features
cp Makefile %buildroot%prefix
mkdir -p %buildroot/opt/monitor/op5/ninja/application/media/images/logos

%post


%preun


%postun


%files
%defattr(664,%daemon_user,%daemon_group,775)
%prefix/wizard
/opt/monitor/op5/ninja/application/media/images/logos
%exclude %prefix/Makefile
%exclude %prefix/test
%exclude %prefix/features

%files test
%defattr(664,%daemon_user,%daemon_group,775)
%prefix/Makefile
%prefix/test
%prefix/features

%clean
rm -rf %buildroot
